PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_Alloc_Workspace_zgehrd | ( | int | N,
|  | PLASMA_desc ** | descT
| ) |  |

PLASMA_Alloc_Workspace_zgehrd - Allocates workspace for PLASMA_zgehrd or PLASMA_zgehrd_Tile routine.

Parameters

  [in] | N | The number of columns of the matrix A. N >= 0.
  [out] | descT | On exit, workspace handle for storage of the extra T factors required by the tile Hessenberg.

Returns

Return values

  PLASMA_SUCCESS | successful exit